<?php

/**
 * Plugin Name: Blog Ideas Manager
 * Plugin URI: https://raphaelndwiga.africa/blog-ideas-manager
 * Description: A plugin to manage blog ideas and convert them into draft posts.
 * Version: 1.0.0
 * Requires at least: 6.7
 * Requires PHP: 7.2
 * Author: Raphael Ndwiga
 * Author URI: https://raphaelndwiga.africa
 * License: GPLv2
 * Text Domain: blog-ideas-manager
 */

// Exit if accessed directly
if (!defined('ABSPATH')) {
    exit;
}

require_once plugin_dir_path(__FILE__) . 'includes/post-type.php';
require_once plugin_dir_path(__FILE__) . 'includes/taxonomy.php';
require_once plugin_dir_path(__FILE__) . 'includes/activation.php';
require_once plugin_dir_path(__FILE__) . 'includes/deactivation.php';
require_once plugin_dir_path(__FILE__) . 'includes/conversion.php';
require_once plugin_dir_path(__FILE__) . 'includes/capabilities.php';
require_once plugin_dir_path(__FILE__) . 'includes/admin-notices.php';

// Activation and deactivation hooks
register_activation_hook(__FILE__, 'blog_ideas_activate');
register_deactivation_hook(__FILE__, 'blog_ideas_deactivate');