<?php

//Capabilities Management
function get_blog_idea_capabilities() {
    return array(
        'edit_blog_idea',
        'read_blog_idea',
        'delete_blog_idea',
        'edit_blog_ideas',
        'edit_others_blog_ideas',
        'publish_blog_ideas',
        'delete_others_blog_ideas',
    );
}


function assign_blog_idea_capabilities() {
	$capabilities = get_blog_idea_capabilities();
    // Get the Editor role
    $editor_role = get_role('editor');
	$admin_role = get_role('administrator');
	
	if ($admin_role) {
		// Add capabilities for managing blog ideas for admin
        foreach ($capabilities as $cap) {
            $admin_role->add_cap($cap);
        }
    }
	if ($editor_role) {
		// Add capabilities for managing blog ideas for editor
        foreach ($capabilities as $cap) {
            $editor_role->add_cap($cap);
        }
    }

}

function restrict_blog_idea_access($query) {
    if (!current_user_can('edit_others_blog_ideas') && $query->is_admin && $query->query['post_type'] === 'blog_idea') {
        global $pagenow;
        if ($pagenow === 'edit.php') {
            $query->set('author', get_current_user_id());
        }
    }
}
add_action('pre_get_posts', 'restrict_blog_idea_access');

add_action('admin_init', 'assign_blog_idea_capabilities');
